| Kea 3.0.2-git

isc::config::ClientConnection::Timeout Struct Reference

Encapsulates timeout value. More...

`#include <client_connection.h>`

## Public Member Functions
| Timeout (const long timeout)

## Public Attributes
long | timeout_

## Detailed Description

Encapsulates timeout value.

Definition at line 94 of file client_connection.h.

## Constructor & Destructor Documentation

## ◆ Timeout()

isc::config::ClientConnection::Timeout::Timeout | ( | const long | timeout | ) |
| inline explicit

Definition at line 95 of file client_connection.h.

References timeout_.

## Member Data Documentation

## ◆ timeout_

long isc::config::ClientConnection::Timeout::timeout_

Definition at line 98 of file client_connection.h.

Referenced by Timeout(), and isc::config::ClientConnectionImpl::start().

The documentation for this struct was generated from the following file:

- client_connection.h